Bug 1739651 - python-Levenshtein: Remove (sub)packages from Fedora 31+: python2-Levenshtein
Summary: python-Levenshtein: Remove (sub)packages from Fedora 31+: python2-Levenshtein
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-Levenshtein
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-08-09 17:52 UTC by Miro Hrončok
Modified: 2019-08-22 14:28 UTC (History)
9 users (show)

Fixed In Version: python-Levenshtein-0.12.0-12.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-22 14:28:47 UTC


Attachments (Terms of Use)

Description Miro Hrončok 2019-08-09 17:52:40 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of python-Levenshtein were marked for removal:

 * python2-Levenshtein

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package in Rawhide (Fedora 31).

Please don't do this for Fedora 30, removing packages from a released Fedora branch is forbidden.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

If you do the change yourself, it would help us a lot by reducing the amount of packages we need to mass change.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal

Comment 1 Ben Cotton 2019-08-13 16:55:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 17:14:46 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.


Note You need to log in before you can comment on or make changes to this bug.